udm_get_res_field
udm_hash32
mnoGoSearch Functions
PHP Manual

# udm_get_res_param

(PHP 4 >= 4.0.5, PHP 5 <= 5.0.5, PECL mnogosearch >= 1.0.0)

udm_get_res_param — Get mnoGoSearch result parameters

### Description

string udm_get_res_param ( resource `$res` , int `$param` )

Gets the mnoGoSearch result parameters.

### Parameters

`res`

  `res` - a link to result identifier, received after call to udm_find().

`param`

  `param` - parameter identifier, may have the following values:

  - UDM_PARAM_NUM_ROWS - number of received found links on the current page. It is equal to UDM_PARAM_PAGE_SIZE for all search pages, on the last page - the rest of links.
  - UDM_PARAM_FOUND - total number of results matching the query.
  - UDM_PARAM_WORDINFO - information on the words found. E.g. search for "a good book" will return "a: stopword, good:5637, book: 120"
  - UDM_PARAM_SEARCHTIME - search time in seconds.
  - UDM_PARAM_FIRST_DOC - the number of the first document displayed on current page.
  - UDM_PARAM_LAST_DOC - the number of the last document displayed on current page.

### Return Values

udm_get_res_param() returns result parameter value on success, `FALSE` on error.

udm_get_res_field
udm_hash32
mnoGoSearch Functions
PHP Manual